Bug 193262 - [NEW PORT] math/nlopt: Nonlinear optimization library
Summary: [NEW PORT] math/nlopt: Nonlinear optimization library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-02 19:27 UTC by Rainer Hurling
Modified: 2014-10-11 19:38 UTC (History)
4 users (show)

See Also:


Attachments
Initial port version for math/nlopt (3.49 KB, text/plain)
2014-09-02 19:27 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details
Corrected initial port version (3.44 KB, text/plain)
2014-09-06 07:40 UTC, Rainer Hurling
no flags Details
Initial port version with LICENSE_FILE (3.45 KB, text/plain)
2014-09-06 10:14 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling freebsd_committer 2014-09-02 19:27:53 UTC
Created attachment 146694 [details]
Initial port version for math/nlopt

NLopt is a free/open-source library for nonlinear optimization,
providing a common interface for a number of different free optimization
outines available online as well as original implementations of various
other algorithms. WWW: http://ab-initio.mit.edu/nlopt/

-------------------------------------------------

There is a need for this port for math/R and some of its packages like lme4. 

Also, it could be of use for math/octave. In this first port version, support for Octave will be enabled, if Octave was installed before. If wanted, this could be realized by an option, with LIB_DEPENDS etc. I personally have no need for this, because I am an math/R user ...

-------------------------------------------------

The port is tested on RedPorts, https://redports.org/buildarchive/20140831093924-60450 and https://redports.org/buildarchive/20140831101355-20744

I would like to take maintainership, if this is ok for others, thanks.


CC'ed b.f., because he is the maintainer of math/R.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-06 03:34:58 UTC
 * LICENSE_FILE missing
 * Use ${PYTHON_PKGNAMEPREFIX}name for Python RUN_DEPENDS
 * Use USES=pathfix for lib->libdata (pkgconfig) fixing (See Mk/Uses/pathfix.mk)
 * If relevant add a secondary CATEGORIES on python (virtual category)
 * Strip trailing slash in pkg-descr WWW: URL

Additionally

 * Attach portlint -AC output, after addressing any outstanding issues
 * If you can, poudriere testport log as attachment
Comment 2 Rainer Hurling freebsd_committer 2014-09-06 07:40:49 UTC
Created attachment 146899 [details]
Corrected initial port version

Thanks, Koobs, for your comments. I tried to integrate them as following:

- License file should be 'COPYING', because mixed license is mentioned here
- ${PYTHON_PKGNAMEPREFIX}name is used now for RUN_DEPENDS and BUILD_DEPENDS
- tested, that pathfix work right in this case
- I decided, not to add a second category. It is C using some Python stuff
- trailing slash in WWW removed

#portlint -AC
looks fine.

Sorry, no poudriere running at my side until now. Previous version was tested on RedPorts ...
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-06 08:17:07 UTC
Thanks Rainer!

LICENSE_FILE normally points to something in ${WRKSRC}/<file>

poudriere, another redports run, make patch, among other commands would have picked up the issue, and that's why we run them :)

Please update the patch accordingly
Comment 4 Rainer Hurling freebsd_committer 2014-09-06 10:14:04 UTC
Created attachment 146918 [details]
Initial port version with LICENSE_FILE

OK, LICENSE_FILE now points towards ${WRKSRC}/COPYING. What I do not understand is, where do we find this file after installation? Is it installed at all?

A new run in RedPorts was successfull, https://redports.org/buildarchive/20140906090349-77212/

Thanks for your explanations and patience.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-06 10:27:26 UTC
Absolutely, see Mk/bsd.licenses.mk, search for install-license: target
Comment 6 commit-hook freebsd_committer 2014-10-11 18:47:41 UTC
A commit references this bug:

Author: riggs
Date: Sat Oct 11 18:46:43 UTC 2014
New revision: 370660
URL: https://svnweb.freebsd.org/changeset/ports/370660

Log:
  - Initial import of math/nlopt

  PR:		193262
  Submitted by:	rhurlin@gwdg.de (maintainer)
  Reviewed by:	koobs, riggs

Changes:
  head/math/Makefile
  head/math/nlopt/
  head/math/nlopt/Makefile
  head/math/nlopt/distinfo
  head/math/nlopt/pkg-descr
  head/math/nlopt/pkg-plist
Comment 7 Thomas Zander freebsd_committer 2014-10-11 18:56:01 UTC
Committed, thanks!

I had to change a couple of things, though, compared to your last shar to make it compile properly and install everything into the right place. You might want to have a look at the committed version of the port.

Spotting these issues is so much easier with a local poudriere setup, this is REALLY worth investing an hour or two into.

Anyway, thanks again, and have fun maintaining :-)
Comment 8 Rainer Hurling freebsd_committer 2014-10-11 19:38:25 UTC
I am happy with your changes (autoreconf, Makefile.am and rm of @dirrmtry). There have been some changes to the ports tree since my submission ...

Thanks for your work and the commit.